%define		wx_ver 3.1
%define		realname SLADE

# comment out if not prerel
%define prel	b2

# rel for bumping
%define rel	3
%define subrel  1

Summary:	An editor for DOOM maps and WAD/PK3 archives
Name:		slade
Version:	3.2.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Games/Arcade
Url:		https://github.com/sirjuddington/SLADE
Source0:	https://github.com/sirjuddington/%{realname}/archive/%{version}%{?prel:_%prel}/%{name}-%{version}%{?prel:_%prel}.tar.gz
Patch0:		basepk3.diff
Patch1:		slade-cmakelists.patch
#Patch2:		set-external-static.patch
#Patch3:		0001-Fix-sol-build-with-gcc10.patch
BuildRequires:	cmake
BuildRequires:	imagemagick
BuildRequires:	lua5.3-devel
BuildRequires:	p7zip
BuildRequires:	freeimage-devel
BuildRequires:	wxgtku%{wx_ver}-devel
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(sfml-all)
BuildRequires:	pkgconfig(x11)

# The name is SLADE, so provide it just in case
# 2019-12-02 - kekepower
Provides:	SLADE = %{version}-%{release}
Provides:	SLADE3 = %{version}-%{release}

ExclusiveArch:	%{ix86} x86_64

%description
SLADE3 is a modern editor for Doom-engine based games and source ports.
It has the ability to view, modify, and write many different game-specific
formats, and even convert between some of them, or from/to other generic
formats such as PNG.

%files
%doc README.md
%license LICENSE
%{_bindir}/slade
%{_datadir}/slade3/
%{_iconsdir}/net.mancubus.SLADE.png
%{_datadir}/applications/net.mancubus.SLADE.desktop
%{_metainfodir}/net.mancubus.SLADE.metainfo.xml


#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{realname}-%{version}%{?prel:_%prel}

sed -i '/#include <FreeImage.h>/a #undef _WINDOWS_ ' src/common.h

# std::filesystem components can be used without -lstdc++fs with gcc >= 9
sed -i -e '/lstdc++fs/d' src/CMakeLists.txt

%build
%cmake \
	-DUSE_WEBKIT_STARTPAGE:BOOL=ON \
	-DUSE_WX_EXCEPTION_HANDLER=0 \
	-DWX_GTK3=ON \
	-DNO_WEBVIEW=ON \
	-DwxWidgets_CONFIG_EXECUTABLE=%{_bindir}/wx-config-%{wx_ver}
%cmake_build

%install
%cmake_install

pushd misc
for txtfile in detect_functions.txt old-simage-formats.txt stuff.txt udmf11.txt \
		udmf_zdoom.txt usdf.txt usdf_zdoom.txt
do
	install -Dm644 $txtfile %{buildroot}%{_datadir}/slade3/misc/${txtfile}
done
popd



%changelog
* Wed Jan 05 2022 wally <wally> 3.2.0-0.b2.3.1.mga8
+ Revision: 1766998
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 3.2.0-0.b2.3.mga8
+ Revision: 1667727
- rebuild for wxgtk pre 3.1.5 snapshot

* Wed Dec 02 2020 luigiwalser <luigiwalser> 3.2.0-0.b2.2.mga8
+ Revision: 1651617
- rebuild for glew

* Mon Aug 17 2020 wally <wally> 3.2.0-0.b2.1.mga8
+ Revision: 1614591
- new version 3.2.0 beta2
- rebuild for new wxgtk 3.1.4

* Fri Mar 06 2020 kekepower <kekepower> 3.1.11-1.mga8
+ Revision: 1554502
- Update to version 3.1.11

* Wed Feb 19 2020 kekepower <kekepower> 3.1.9-1.mga8
+ Revision: 1543587
- Update to version 3.1.9

* Tue Feb 18 2020 umeabot <umeabot> 3.1.8-3.mga8
+ Revision: 1539215
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Dec 02 2019 kekepower <kekepower> 3.1.8-2.mga8
+ Revision: 1464040
- Bump rel for build on i586 and x86_64
- Exclude ARM and aarch64 for now
- Update to version 3.1.8
- imported package slade

